# Practice with 2D Lists
# Sara Sprenkle

def main():
    rows = input("How many rows? ")
    columns = input("How many columns? ")

    print
    print "Correct Matrix Creation:"
    print '-'*30
    matrix = create2DList(rows, columns)
    print matrix

    print "\nAssigning matrix[1][2]=3"
    matrix[1][2] = 3
    print "Result: "
    print matrix

    print
    print "*"*50
    print "Incorrect Matrix Creation:"
    print '-'*30

    matrix = noCreate2DList(rows, columns)
    print matrix

    print "\nAssigning matrix[1][2]=3"
    print "Result: "
    matrix[1][2] = 3
    print matrix


def create2DList(rows, cols):
    """Returns a two-dimensional list filled with 0s that is 'rows' tall and
    'cols' wide."""
    twodlist = []
    for row in xrange(rows):
        row = []
        for col in xrange(cols):
            row.append(0)
        twodlist.append(row)
    return twodlist

def noCreate2DList(rows, cols):
    """Does not create a 2D list because each 'row' points to the same point in
    memory."""
    
    twodlist = []
    onerow = []
    for col in xrange(cols):
        onerow.append(0)
    for row in xrange(rows):
        twodlist.append(onerow)
        
    return twodlist

    

main()
