#Create full-size tic-tac-toe board
# Uses clone and move to simplify program
# By CSCI111

from graphics import *

win = GraphWin("Tic-Tac-Toe", 300, 300)
width=win.getWidth()
height=win.getHeight()

# create and draw the vertical lines
vertLine1 = Line(Point(width/3.0,0), Point(width/3.0, width))
vertLine1.setWidth(4)
vertLine1.setOutline("purple")

vertLine2=vertLine1.clone() # maintains the properties of the line
vertLine2.move(width/3.0,0)

vertLine1.draw(win)
vertLine2.draw(win)

# create and draw the horizontal lines
horizLine1 = Line(Point(0,height/3.0), Point(width,height/3.0))
horizLine1.setWidth(3)
horizLine1.setOutline("purple")

horizLine2 = horizLine1.clone()
horizLine2.move(0, height/3.0)

horizLine1.draw(win)
horizLine2.draw(win)

win.getMouse()
