# Simple demonstration of animation.
# by Sara Sprenkle

from graphics import *
from time import sleep

STEPS = 100

def main():
    w = GraphWin("Simple Animation", 400, 400)
    w.setBackground("orange")
    
    current = Point(60,60)
    circ = Circle(current, 50)
    circ.setFill("blue")
    circ.draw(w)

    end = w.getWidth()
    dx = (end - current.getX())/STEPS

    for step in xrange(STEPS):
        circ.move(dx, 0)
        sleep(.1)

    w.getMouse()

main()
