# Simulate Pick 4 lottery game - selecting ping pong balls at random
# Modified to count number of correctly chosen numbers
# By CSCI111

import random

# define constants that are easy to change so that our
# program is flexible
NUM_BALLS = 4
MIN_VALUE = 0
MAX_VALUE = 2

# Create the format for the number
numFormat = ""
for num in xrange(NUM_BALLS-1):
    numFormat += "#-"
numFormat += "#"

pickedNum = raw_input("What is your pick? (Format: " + numFormat + ") ")

while len(pickedNum) != (NUM_BALLS*2-1):
    print "Incorrectly formatted number."
    pickedNum = raw_input("What is your pick? (Format: " + numFormat + ") ")

# Accumulator variable for the winning number
winningNum = ""

for num in xrange(NUM_BALLS-1):
    # generate a random number (simulating the ping pong ball machine
    # spitting out a random ping pong ball)
    randomNum = random.randint(MIN_VALUE, MAX_VALUE)
    # add the random number to the winning number
    winningNum = winningNum + str(randomNum)
    # add the hyphen to the winning number
    winningNum += "-"
    
# add the final random number to the winning number
winningNum += str(random.randint(MIN_VALUE, MAX_VALUE))
    
# display the winning number
print "The winning number is", winningNum

if pickedNum == winningNum:
    print "Congratulations!  You're the big winner!!!!!!"
else:
    # determine the number of correct numbers in the pickedNum
    correctNumbers=0
    for x in xrange(0, len(pickedNum), 2):
        if pickedNum[x] == winningNum[x]:
            correctNumbers += 1
    print "You got", correctNumbers, "right!"
    if correctNumbers > 1:
        print "You're getting close!"
    print "Please waste more money and play again."


    
    
    
