# Computes the average high temperature from a file that contains the daily
# high temperatures for last year at one location.
# CSCI 111, 03.07.2011

DATAFILE="data/alaska.dat"

tempFile = file(DATAFILE, "r")

totalValue = 0
totalDays = 0

# Read through the file
for line in tempFile:
    # convert line into a float
    temperature = float(line)
    # update the accumulators
    totalValue += temperature
    totalDays += 1

tempFile.close()

average = totalValue/totalDays    

print "The average temperature for", totalDays , "days is %.2f" % average
