# Given a file of the form <lastname> <year>
# creates a mapping between the last names and years
# by CSCI 111, 03.14.2011

FILENAME="data/years.dat"

yearFile = file(FILENAME, "r")

lastnameToYear = {}

for line in yearFile:
    data = line.split()
    lastname = data[0]
    year = data[1]
    lastnameToYear[lastname] = year
    
yearFile.close()

print lastnameToYear

lastNames = lastnameToYear.keys()
lastNames.sort()

for name in lastNames:
    print name, lastnameToYear.get(name)    

