# Dictionary Helpers ...

# Display the dictionary, with the keys in sorted order
# Input: the dictionary to display
def displaySortedDictionary( dictionary ):
    keys = dictionary.keys()
    keys.sort()

    for key in keys:
        print key, "-->", 
        print dictionary[key]

# Update the dictionary
# Precondition: dictionary that maps keys to a count;
# a key that may or may not already be in the dictionary
def updateDictionary( dictionary, key = "undeclared" ):
    # add to the dictionary (count is 1)
    if key not in dictionary : 
        dictionary[key] = 1
    else: 
        value = dictionary[key] + 1
        dictionary[key] = value
