# Move a circle to the position clicked by the user 5 times
# by CSCI 111, 02.07.2011

from graphics import *
from time import sleep

SLEEPTIME=.01
STEPS=100

win = GraphWin("Circle Shift", 500, 500)

circ = Circle( Point(250, 250), 10 )
circ.setFill("red")
circ.draw(win)

directions = Text( Point(250, 20), "Click somewhere to move the circle to there.")
directions.draw(win)

for x in xrange(5):
    userPoint = win.getMouse()
    directions.setText("You have " + str(4-x) + " clicks left")
    circleCenterPoint = circ.getCenter()
    dx = userPoint.getX() - circleCenterPoint.getX()
    dy = userPoint.getY() - circleCenterPoint.getY()
    for y in xrange(STEPS):
        circ.move(dx/STEPS, dy/STEPS)
        sleep(SLEEPTIME)
    
win.getMouse()
