# Converts a binary number into a decimal
# Modify to verify that the inputted number is valid.
# By CSCI111, 02.16.2011

import sys

# Read in the binary number as a string -- why?
num = raw_input("Enter the binary #: ")

# --------- Validate the user input ----------

# Make sure that the inputted number only contains numbers
# Equivalent to: if num.isdigit() == False:
while not num.isdigit():
    print num, "is not a valid number.  Please try again."
    num = raw_input("Enter the binary #: ")
    
# Make sure that the inputted number only contains 0s and 1s
for digit in num:
    if digit != "0" and digit != "1":
        print num, "is not a binary number."
        sys.exit(1)

# --------- Convert the binary number to a decimal number ----------

# accumulate the decimal value in this variable
decVal = 0

# go through the positions in the string
for pos in xrange(len(num)):
    # num[pos] is a string; need to convert to an int
    bit = int(num[pos])
    # calculate which "place" the current bit is at
    place = 2**(len(num)-pos-1)
    # add to the decimal value
    decVal += place * bit
    
print "The decimal value for", num, "is", decVal
