# Wheel of Fortune
# By Sara Sprenkle

PHRASE="FOUR PUZZLES FROM CYBERSPACE"
# PHRASE = ""
PROMPT="Enter a letter or try to solve the puzzle: "
TITLE_WIDTH=50

# print out a nice header
print "*"*TITLE_WIDTH
print "WHEEL".center(TITLE_WIDTH)
print "OF".center(TITLE_WIDTH)
print "FORTUNE!".center(TITLE_WIDTH)
print "*"*TITLE_WIDTH 

# Display the current puzzle.  All the alphabetical characters are displayed as underscores.
displayedPuzzle = ""
for char in PHRASE:
    if char.isalpha():
        displayedPuzzle += "_"
    else:
        displayedPuzzle += char

print "The puzzle:", displayedPuzzle

print
print "Let's get started!"

# how many guesses it took to get it right
numGuesses = 1

guess = raw_input(PROMPT)

while guess.lower() != PHRASE.lower() :
    if len(guess) == 1 and guess.isalpha(): 
        numOccurences = PHRASE.count(guess) + PHRASE.count(guess.swapcase())
        if numOccurences > 0:
            print "There are", numOccurences, guess + "'s", "in the phrase"
            # fill in puzzle
            updatedpuzzle=""
            for pos in xrange(len(PHRASE)):
                if PHRASE[pos] == guess or PHRASE[pos] == guess.swapcase():
                    updatedpuzzle += PHRASE[pos]
                else:
                    updatedpuzzle += displayedPuzzle[pos]
            displayedPuzzle = updatedpuzzle
            
            print "\nThe puzzle is", displayedPuzzle
        else:
            print "Sorry, there are no", guess + "'s", "in the word"
    elif len(guess) != 1:
        # assumes that the user tried to solve the puzzle but got it wrong.
        print "\tSorry, that is not correct."
    else:
        print "\tError: You must guess a letter."
    
    print
    guess = raw_input(PROMPT)
    numGuesses += 1
        
print "Congratulations!  You solved the puzzle in", numGuesses, "guesses"


