# Converts a binary number into a decimal
# Modify to verify that the inputted number is valid.
# By CSCI111, 02.16.2011
# Refactored by CSCI111, 02.28.2011

import sys

def main():
    # Read in the binary number as a string -- why?
    num = raw_input("Enter the binary #: ")
    
    # --------- Validate the user input ----------
    while not binaryTest(num):
        print num, "is not a valid binary number.  Please try again."
        num = raw_input("Enter the binary #: ")
        
    decVal = binaryToDecimal(num)
    
    print "The decimal value for", num, "is", decVal

# Converts the binary number to a decimal number
# Precondition: binary, a string that is a binary number
# Postcondition: returns the decimal value of the binary number
def binaryToDecimal(binary):
    # accumulate the decimal value in this variable
    decVal = 0
    
    # go through the positions in the string
    for pos in xrange(len(binary)):
        # num[pos] is a string; need to convert to an int
        bit = int(binary[pos])
        # calculate which "place" the current bit is at
        place = 2**(len(binary)-pos-1)
        # add to the decimal value
        decVal += place * bit
    return decVal

# precondition: num is a string
# postcondition: returns True iff num is a valid binary string
def binaryTest(num):
    # check that it has all digits (no letters)
    if not num.isdigit():
        return False
     
    # Make sure that the inputted number only contains 0s and 1s
    for digit in num:
        if digit != "0" and digit != "1":
            return False
    return True
    
main()

