# Displays equivalents for Olympic running distances in
# meters, kilometers, yards, miles

def metersToMiles(meters):
	METERS_TO_MILES = .0006215 
	miles = meters * METERS_TO_MILES
	return miles

# conversion constants
M2KILO=.001
M2YARD=1.094

# distances in meters
dist1=100
dist2=200
dist3=400
dist4=800

# print column headings
print "Meters  Kilometers  Yards  Miles"
print "-"*32

# calculate conversions, print data for conversion table
kilo1=dist1*M2KILO
yard1=dist1*M2YARD
mile1=metersToMiles(dist1)
print "%6.0i %11.3f %6.1f %6.3f" % (dist1, kilo1, yard1, mile1)

kilo2=dist2*M2KILO
yard2=dist2*M2YARD
mile2=metersToMiles(dist2)
print "%6.0i %11.3f %6.1f %6.3f" % (dist2, kilo2, yard2, mile2)

kilo3=dist3*M2KILO
yard3=dist3*M2YARD
mile3=metersToMiles(dist3)
print "%6.0i %11.3f %6.1f %6.3f" % (dist3, kilo3, yard3, mile3)

kilo4=dist4*M2KILO
yard4=dist4*M2YARD
mile4=metersToMiles(dist4)
print "%6.0i %11.3f %6.1f %6.3f" % (dist4, kilo4, yard4, mile4)


