# Given a file of the form <lastname> <year>
# keep track of the number of students in each year.
# by CSCI 111, 03.14.2011

FILENAME="data/years.dat"

yearFile = file(FILENAME, "r")

yearToNumberOfStudents = {}

for line in yearFile:
    data = line.split()
    year = data[1]
    if year in yearToNumberOfStudents : # is year a key?
        yearToNumberOfStudents[year] += 1
    else:
        yearToNumberOfStudents[year] = 1
        
yearFile.close()

years = yearToNumberOfStudents.keys()
years.sort()

for year in years:
    print year, yearToNumberOfStudents.get(year)    

