# Game Module
# Contains useful functions and modules for various games
# by Sara Sprenkle

import random

# constants for flipping a coin
HEADS = 0
TAILS = 1

def testMe():
    """Tests the module"""
    print rollDie(6)
    print rollDie()
    print rollDie(12)
    print rollDie()

# No pre- or post- condition
# return HEADS or TAILS, randomly
def coinFlip():
    return random.randint(0,1)

def rollDie(sides=6):
    """ input: the number of sides of the die (defaults to 6)
 return a random number between 1 and sides, inclusive """
    print "Num sides =", sides
    return random.randint(1,sides)
    
def rollMultipleDice(numDice, sides=6):
    """input: the number of dice to roll and the number of sides of
    the dice (defaults to 6).
    return the total of rolling all the dice"""
    total = 0
    for x in xrange(numDice):
        total += rollDie(sides)
    return roll

if __name__ == "__main__":
    testMe()
