# Demonstrate use of command-line arguments
# by Sara Sprenkle
# Usage: python command_line_args.py filename

import sys

PROG_ARG_LOC=0
FILENAME_ARG_LOC=1

# Make sure there are sufficient arguments.
if len(sys.argv) < 2:
    print "Error: invalid number of command-line arguments"
    print "Usage: python", sys.argv[PROG_ARG_LOC],"<filename>"
    sys.exit(1)
    
filename = sys.argv[FILENAME_ARG_LOC]
print "We will use file", filename, "as input"

