# Binary search, dividing list in half
# Sara Sprenkle

# represents that binarySearch did not find the key
NOT_FOUND=-1

def main():
    
    integers = range(1,20,2)
    print "The list to search: ", integers
    print
    
    findMeList = [1, 4, 15, 16, 17]
    
    for key in findMeList:
        print "Search for", key
        # binarySearch returns the position the number was found, or -1 if it was
        # not found.  Translate the result from binarySearch to a True or False
        pos = altBinarySearch(integers, key)
        binFound = pos != NOT_FOUND
        print "Binary: Found?", binFound
        print

def altBinarySearch(searchlist, key): 
    """Literally divide the list in half. Issues: creates multiple lists.
    Each call to the function requires another list (of half the size of
    the original)."""

    # ran out of elements in the list    
    if len(searchlist) == 0:
        return NOT_FOUND

    low = 0
    high = len(searchlist)-1
    mid = (low+high)/2
    
    valueAtMid = searchlist[mid]
    if valueAtMid == key:
        return mid
    if low == high:
        return NOT_FOUND    

    if searchlist[mid] < key: # search upper half
        return altBinarySearch(searchlist[mid+1:], key)
    else: # search lower half
        return altBinarySearch(searchlist[:mid], key)
        
main()
