# Practice using 2D lists using Tic-Tac-Toe
# by Sara Sprenkle

def main():
    board = createBoard()
    
    print "Original Board:"
    displayBoard(board)
    print
    
    print "X goes to 1, 1:"
    pickPos(board, 1, 1, "x")
    displayBoard(board)
    print
    
    print "O goes to 0, 2:"
    pickPos(board, 0, 2, "o")
    displayBoard(board)


def createBoard():
    board = []
    for row in xrange(3):
        row = []
        for col in xrange(3):
            row.append(" ")
        board.append(row)
    return board

def displayBoard(board):
    """ Display the tic-tac-toe board in a nice way """
    for row in xrange(2):
        for col in xrange(2):
            print "%1s |" % board[row][col],
        print "%1s" % board[row][2]
        print "-"*9
    for col in xrange(2):
        print "%1s |" % board[2][col],
    print "%1s" % board[2][2]
        

def pickPos(board, row, col, symbol):
    # Should handle that position is already taken
    board[row][col] = symbol
   

main()

