# Example of providing a validated list of input
# Sara Sprenkle

def main():
    # the list of valid files user can choose from
    VALID_LIST= ["highschool.txt", "college.txt", "family.txt"]
    VALID_LIST.sort()
        
    print 
    print "Which of the following social network files do you want to process?"
    
    x = 1
    for filename in VALID_LIST:
        print "\t%d: %s"%(x, filename)
        x+=1
    
    choicestr = raw_input("Select the file by number: ")
    print
    
    try:
        choice = int(choicestr)
        if choice < 1 or choice > len(VALID_LIST):
            print "ERROR:", choice, "is not a valid selection."
        else:
            print "Processing file %d: %s" % (choice, VALID_LIST[choice-1])
        
    except:
        print "ERROR: selection must be an integer."
    
    
main()
